{
  description = "KropCloud system flakes";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable-small";

    disko = {
      url = "github:nix-community/disko";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    agenix = {
      url = "github:ryantm/agenix";
      inputs = {
        nixpkgs.follows = "nixpkgs";
        home-manager.follows = "";
        darwin.follows = "";
      };
    };
  };

  outputs =
    inputs@{ self, nixpkgs, ... }:
    let
      kclib = import ./lib.nix {
        inputs = inputs;
      };
    in
    {
      nixosConfigurations = {
        bootstrap = kclib.mkHost {
          name = "bootstrap";
        };
        etcd0 = kclib.mkHost {
          name = "etcd0";
        };
        hydra = kclib.mkHost {
          name = "hydra";
        };
      };
      formatter.x86_64-linux = nixpkgs.legacyPackages.x86_64-linux.nixfmt-rfc-style;
    };
}
